Bug 675812 - Some tracebacks while beating on subscription-manager-gui
Summary: Some tracebacks while beating on subscription-manager-gui
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Chris Duryee
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: 568421 Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2011-02-07 20:39 UTC by John Sefler
Modified: 2011-05-19 13:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:39:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description John Sefler 2011-02-07 20:39:34 UTC
Description of problem:

Not sure how I caused these tracebacks while beating on subscription-manager-gui, but if you see a way for them to occur, go for the fix...



Traceback (most recent call last):
  File "/usr/share/rhsm/gui/mysubstab.py", line 83, in _on_unsubscribe_prompt_response
    handle_gui_exception(e, _("There was an error unsubsribing from %s with serial number %s" % (selection['subscription'],serial)))
  File "/usr/share/rhsm/gui/utils.py", line 58, in handle_gui_exception
    errorWindow(msg % linkify(e.msg))
TypeError: not all arguments converted during string formatting



Traceback (most recent call last):
  File "/usr/share/rhsm/gui/allsubs.py", line 239, in subscribe_button_clicked
    pools = model.get_value(tree_iter, self.store['merged_pools'])
TypeError: iter must be a GtkTreeIter



Version-Release number of selected component (if applicable):
[root@jsefler-onprem01 ~]# rpm -qa | grep subscription-manager
subscription-manager-gnome-0.93.15-1.git.16.aab77eb.el6.x86_64
subscription-manager-0.93.15-1.git.16.aab77eb.el6.x86_64
subscription-manager-firstboot-0.93.15-1.git.16.aab77eb.el6.x86_64


How reproducible:


Steps to Reproduce:

  
Actual results:


Expected results:


Additional info:

Comment 2 John Sefler 2011-02-07 20:57:59 UTC
Traceback (most recent call last):
  File "/usr/share/rhsm/gui/allsubs.py", line 239, in subscribe_button_clicked
    pools = model.get_value(tree_iter, self.store['merged_pools'])
TypeError: iter must be a GtkTreeIter


...occurs when you click the Subscribe button on the All Available Subscriptions tab, but you have not selected a subscription.

Comment 3 John Sefler 2011-02-08 13:58:39 UTC
Traceback (most recent call last):
  File "/usr/share/rhsm/gui/mysubstab.py", line 83, in _on_unsubscribe_prompt_response
    handle_gui_exception(e, _("There was an error unsubsribing from %s with serial number %s" % (selection['subscription'],serial)))
  File "/usr/share/rhsm/gui/utils.py", line 58, in handle_gui_exception
    errorWindow(msg % linkify(e.msg))
TypeError: not all arguments converted during string formatting


2011-02-08 08:54:31,087 [ERROR] handle_gui_exception() @utils.py:43 - Entitlement Certificate with serial number 11297173216454180 could not be found.
Traceback (most recent call last):
  File "/usr/share/rhsm/gui/mysubstab.py", line 81, in _on_unsubscribe_prompt_response
    self.backend.uep.unbindBySerial(self.consumer.uuid, serial)
  File "/usr/lib/python2.6/site-packages/rhsm/connection.py", line 401, in unbindBySerial
    return self.conn.request_delete(method)
  File "/usr/lib/python2.6/site-packages/rhsm/connection.py", line 212, in request_delete
    return self._request("DELETE", method)
  File "/usr/lib/python2.6/site-packages/rhsm/connection.py", line 178, in _request
    self.validateResponse(result)
  File "/usr/lib/python2.6/site-packages/rhsm/connection.py", line 197, in validateResponse
    parsed['displayMessage'])
RestlibException: Entitlement Certificate with serial number 11297173216454180 could not be found.


...occurs when you subscribe to a future subscription (successfully) and then you try to unsubscribe from it (BANG!).

Comment 4 Chris Duryee 2011-02-08 14:51:38 UTC
Can you make the latest BZ entry a new bug, instead?

other issue is fixed in:

rhel6 - ad035f40123f307155cfe508d426104404f50f19 0.95.2+
master - d091e850211a2587eaf09ad06de9bf45218d0eaa 0.96.2+

Comment 7 John Sefler 2011-02-23 23:30:52 UTC
Verifying version....
[root@jsefler-onprem03 ~]# rpm -qa | grep subscription-manager
subscription-manager-0.95.1-1.git.17.4a23267.el6.x86_64
subscription-manager-firstboot-0.95.1-1.git.17.4a23267.el6.x86_64
subscription-manager-gnome-0.95.1-1.git.17.4a23267.el6.x86_64

Comment #2 The Subscribe button is now only enabled when a subscription is selected.
Comment #3 Unsubscribing from a future subscription works and is not throwing a traceback.

Moving to VERIFIED

Comment 8 errata-xmlrpc 2011-05-19 13:39:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.